# Generated by Django 5.1.1 on 2024-09-10 11:59

import django.db.models.deletion
import uuid
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CatalogFile',
            fields=[
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=32)),
                ('status', models.CharField(choices=[('PENDING', 'Pending'), ('IN_PROGRESS', 'In Progress'), ('INGESTED', 'Ingested'), ('INDEXED', 'Indexed')], default='PENDING', max_length=11)),
            ],
        ),
        migrations.CreateModel(
            name='GaiaSource',
            fields=[
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('solution_id', models.CharField(blank=True, default='', max_length=19)),
                ('designation', models.CharField(blank=True, default='', max_length=30)),
                ('source_id', models.CharField(blank=True, default='', max_length=19)),
                ('ref_epoch', models.FloatField(default=0.0, null=True)),
                ('ra', models.FloatField(default=0.0, null=True)),
                ('ra_error', models.FloatField(default=0.0, null=True)),
                ('dec', models.FloatField(default=0.0, null=True)),
                ('dec_error', models.FloatField(default=0.0, null=True)),
                ('parallax', models.FloatField(default=0.0, null=True)),
                ('parallax_error', models.FloatField(default=0.0, null=True)),
                ('pmra', models.FloatField(default=0.0, null=True)),
                ('pmra_error', models.FloatField(default=0.0, null=True)),
                ('pmdec', models.FloatField(default=0.0, null=True)),
                ('pmdec_error', models.FloatField(default=0.0, null=True)),
                ('phot_g_mean_mag', models.FloatField(default=0.0, null=True)),
                ('phot_bp_mean_mag', models.FloatField(default=0.0, null=True)),
                ('phot_rp_mean_mag', models.FloatField(default=0.0, null=True)),
                ('catalog_file', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='sources', to='GaiaDBInterface.catalogfile')),
            ],
        ),
    ]
