# serializers.py

from rest_framework import serializers
from .models import GaiaSource

class GaiaSourceSerializer(serializers.ModelSerializer):
    class Meta:
        model = GaiaSource
        fields = ['uuid', 'ra', 'dec']

class BulkSearchSerializer(serializers.Serializer):
    uuid = serializers.CharField()
    coordinates = serializers.ListField(child = serializers.FloatField())
    radius = serializers.FloatField()
    order = serializers.ChoiceField(choices=['ring', 'nested'])